libsidplayfp::TimerB Class Referencefinal

`#include <mos652x.h>`

Inheritance diagram for libsidplayfp::TimerB:

## Public Member Functions

| TimerB (EventScheduler &scheduler, MOS652X &parent)
void | cascade ()
bool | started () const
Public Member Functions inherited from libsidplayfp::Timer
void | setControlRegister (uint8_t cr)
void | syncWithCpu ()
void | wakeUpAfterSyncWithCpu ()
void | reset ()
void | latchLo (uint8_t data)
void | latchHi (uint8_t data)
void | setPbToggle (bool state)
int_least32_t | getState () const
uint_least16_t | getTimer () const
bool | getPb (uint8_t reg) const

## Additional Inherited Members

Protected Member Functions inherited from libsidplayfp::Timer
| Timer (const char *name, EventScheduler &scheduler, MOS652X &parent)
Protected Attributes inherited from libsidplayfp::Timer
MOS652X & | parent
| Pointer to the MOS6526 which this Timer belongs to.
int_least32_t | state = 0
| CRA/CRB control register / state.
Static Protected Attributes inherited from libsidplayfp::Timer
static constexpr int_least32_t | CIAT_CR_START = 0x01
static constexpr int_least32_t | CIAT_STEP = 0x04
static constexpr int_least32_t | CIAT_CR_ONESHOT = 0x08
static constexpr int_least32_t | CIAT_CR_FLOAD = 0x10
static constexpr int_least32_t | CIAT_PHI2IN = 0x20
static constexpr int_least32_t | CIAT_CR_MASK = CIAT_CR_START | CIAT_CR_ONESHOT | CIAT_CR_FLOAD | CIAT_PHI2IN
static constexpr int_least32_t | CIAT_COUNT2 = 0x100
static constexpr int_least32_t | CIAT_COUNT3 = 0x200
static constexpr int_least32_t | CIAT_ONESHOT0 = 0x08 << 8
static constexpr int_least32_t | CIAT_ONESHOT = 0x08 << 16
static constexpr int_least32_t | CIAT_LOAD1 = 0x10 << 8
static constexpr int_least32_t | CIAT_LOAD = 0x10 << 16
static constexpr int_least32_t | CIAT_OUT = 0x80000000

## Detailed Description

This is the timer B of this CIA.

Author
  Ken Händel

## Constructor & Destructor Documentation

## TimerB()

libsidplayfp::TimerB::TimerB | ( | EventScheduler & | scheduler,
|  | MOS652X & | parent
| ) |  |

inline

Create timer B.

## Member Function Documentation

## cascade()

void libsidplayfp::TimerB::cascade | ( |  | ) |

inline

Receive an underflow from Timer A.

## started()

bool libsidplayfp::TimerB::started | ( |  | ) | const

inline

Check if start flag is set.

Returns
  true if start flag is set, false otherwise

The documentation for this class was generated from the following files:

- mos652x.h
- mos652x.cpp